Category Archives: Open API

No Thumbnail

Tekla Open API: Ask User to Select Objects

This article explains how you can ask the user to select objects from the model using the Tekla Open API. It also provides examples as to how to filter the objects selected by the user. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures.Drawing library

No Thumbnail

Tekla Open API: Start/End Point Offsets

Understanding the start and end points of a part object is essential when working with parts. Start and end points are displayed using a square at both ends of the part: By modifying the start and end point offsets you will be able to change their relative position with

No Thumbnail

Tekla Open API: Insert Single Rebar

This article explains how you can add a single rebar to a concrete part in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open

No Thumbnail

Tekla Open API: Change View Filters

View filters cannot be directly modified using the Tekla Open API. The only possible option regarding view filters and the API, is to change the current view filter to another view filter from the list of available views filters. Step 1, Add Libraries: Add reference

No Thumbnail

Tekla Open API: Rotate Part

This article explains how you can rotate existing parts in a Tekla Structure model using the Tekla Open API in VB.Net. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been

No Thumbnail

Tekla Open API: Cast Units

This article explains how you can create cast unit using  the Tekla Open API in VB.Net. Step 1: Add reference to the Tekla.Structures.Model and the Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in the article below: VB.Net

No Thumbnail

Tekla Structures: Hide/Show Specific Objects in Model

Models made in Tekla can get very crowded with objects. Working in such a model can get very difficult without hiding some of the objects. This can be done by applying filters. Consider the reinforced concrete model below: Everything is visible in this model: Foundation Foundation

No Thumbnail

Insert Concrete Column Using VB.Net (Tekla Open Api)

This article explains how to insert a concrete column in a tekla model using open api in VB.Net – Step 1: Add reference to the Tekla.Structures.Model.dll and the Tekla Structures.dll assemblies and manually start the application. This has been previous explained in the article below: VB.Net Open

No Thumbnail

Tekla Open API: Get Part Length

This article explains how you can get the length of a part using the Tekla Open API. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in

No Thumbnail

Tekla Open API, Hide/Show Objects in Model

This article explains how you can use the Tekla Open API to hide and show objects in the model. Note that the API doesn’t provide any direct methods for hiding/showing objects in the model. This article will provide a workaround for achieving this.   Step